Loading...
Searching...
No Matches
Dune::Amg::MatrixAdapterArgs< M, X, Y > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/construction.hh>`

## Public Member Functions

| MatrixAdapterArgs (std::shared_ptr< M > matrix, const SequentialInformation)

## Public Attributes

std::shared_ptr< M > | matrix_

## Constructor & Destructor Documentation

## MatrixAdapterArgs()

template<class M, class X, class Y>

Dune::Amg::MatrixAdapterArgs< M, X, Y >::MatrixAdapterArgs | ( | std::shared_ptr< M > | matrix,
|  | const SequentialInformation | )

inline

## Member Data Documentation

## matrix_

template<class M, class X, class Y>

std::shared_ptr<M> Dune::Amg::MatrixAdapterArgs< M, X, Y >::matrix_

The documentation for this struct was generated from the following file:

- construction.hh